%global         momorel 1

Name:           perl-CatalystX-Component-Traits
Version:        0.03
Release:        %{momorel}m%{?dist}
Summary:        Automatic Trait Loading and Resolution for Catalyst Components
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CatalystX-Component-Traits/
Source0:        http://www.cpan.org/modules/by-module/CatalystX/CatalystX-Component-Traits-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.80005
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Moose-Autobox
BuildRequires:  perl-MooseX-Traits-Pluggable >= 0.04
BuildRequires:  perl-namespace-autoclean
Requires:       perl-Catalyst-Runtime >= 5.80005
Requires:       perl-List-MoreUtils
Requires:       perl-Moose-Autobox
Requires:       perl-MooseX-Traits-Pluggable >= 0.04
Requires:       perl-namespace-autoclean
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Adds a "COMPONENT" in Catalyst::Component method to your Catalyst component
base class that reads the optional traits parameter from app and component
config and instantiates the component subclass with those traits using
"new_with_traits" in MooseX::Traits from MooseX::Traits::Pluggable.

%prep
%setup -q -n CatalystX-Component-Traits-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/CatalystX/Component
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
